{
	"$schema": "./node_modules/@angular/cli/lib/config/schema.json",
	"version": 1,
	"newProjectRoot": "projects",
	"projects": {
		"webapp": {
			"projectType": "application",
			"schematics": {
				"@schematics/angular:component": {
					"style": "scss",
					"standalone": true
				},
				"@schematics/angular:directive": {
					"standalone": true
				},
				"@schematics/angular:pipe": {
					"standalone": true
				}
			},
			"root": "",
			"sourceRoot": "src",
			"prefix": "his",
			"architect": {
				"build": {
					"builder": "ngx-build-plus:browser",
					"options": {
						"outputPath": "dist/webapp",
						"index": "src/index.html",
						"main": "src/main.ts",
						"polyfills": [
							"zone.js"
						],
						"tsConfig": "tsconfig.app.json",
						"inlineStyleLanguage": "scss",
						"assets": [
							"src/favicon.ico",
							"src/assets",
							"src/api"
						],
						"styles": [
							"src/styles.scss",
							"node_modules/primeng/resources/themes/lara-light-blue/theme.css",
							"node_modules/primeng/resources/primeng.min.css",
							"node_modules/primeflex/primeflex.css",
							"node_modules/quill/dist/quill.core.css",
							"node_modules/quill/dist/quill.snow.css"
						],
						"scripts": [
							"node_modules/quill/dist/quill.js"
						],
						"extraWebpackConfig": "webpack.config.js",
						"commonChunk": false
					},
					"configurations": {
						"production": {
							"budgets": [
								{
									"type": "initial",
									"maximumWarning": "500kb",
									"maximumError": "1mb"
								},
								{
									"type": "anyComponentStyle",
									"maximumWarning": "2kb",
									"maximumError": "4kb"
								}
							],
							"outputHashing": "all",
							"extraWebpackConfig": "webpack.prod.config.js"
						},
						"development": {
							"buildOptimizer": false,
							"optimization": false,
							"vendorChunk": true,
							"extractLicenses": false,
							"sourceMap": true,
							"namedChunks": true
						}
					},
					"defaultConfiguration": "production"
				},
				"serve": {
					"builder": "ngx-build-plus:dev-server",
					"configurations": {
						"production": {
							"browserTarget": "s:build:production",
							"extraWebpackConfig": "webpack.prod.config.js"
						},
						"development": {
							"browserTarget": "webapp:build:development"
						}
					},
					"defaultConfiguration": "development",
					"options": {
						"port": 4200,
						"publicHost": "http://localhost:4200",
						"extraWebpackConfig": "webpack.config.js"
					}
				},
				"extract-i18n": {
					"builder": "ngx-build-plus:extract-i18n",
					"options": {
						"browserTarget": "webapp:build",
						"extraWebpackConfig": "webpack.config.js"
					}
				},
				"test": {
					"builder": "ngx-build-plus:karma",
					"options": {
						"polyfills": [
							"zone.js",
							"zone.js/testing"
						],
						"tsConfig": "tsconfig.spec.json",
						"inlineStyleLanguage": "scss",
						"assets": [
							"src/favicon.ico",
							"src/assets"
						],
						"styles": [
							"src/styles.scss"
						],
						"scripts": []
					}
				}
			}
		}
	},
	"cli": {
		"analytics": false
	}
}
